## ros-kinetic-kobuki-qtestsuite 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_qtestsuite)

find_package(catkin REQUIRED COMPONENTS rospy
                                        kobuki_testsuite
                                        qt_gui_py_common
                                        rqt_gui
                                        rqt_gui_py
                                        rqt_py_common
                                        rqt_plot
                                        geometry_msgs
                                        nav_msgs)

catkin_python_setup()

catkin_package()

set(DIR src/kobuki_qtestsuite/detail)
set(UI_DIR src/kobuki_qtestsuite/ui)
set(RESOURCES_DIR src/kobuki_qtestsuite/resources)

add_custom_target(${PROJECT_NAME}
	          ALL
                  COMMAND pyrcc5 -o ${DIR}/common_rc.py ${RESOURCES_DIR}/common.qrc
	          COMMAND pyrcc5 -o ${DIR}/common_rc.py ${RESOURCES_DIR}/common.qrc
	          COMMAND pyrcc5 -o ${DIR}/text_rc.py ${RESOURCES_DIR}/text.qrc
	          COMMAND pyuic5 -o ${DIR}/testsuite_ui.py ${UI_DIR}/testsuite.ui
	          COMMAND pyuic5 -o ${DIR}/configuration_dock_ui.py ${UI_DIR}/configuration_dock.ui
	          COMMAND pyuic5 -o ${DIR}/battery_profile_frame_ui.py ${UI_DIR}/battery_profile_frame.ui
	          COMMAND pyuic5 -o ${DIR}/gyro_drift_frame_ui.py ${UI_DIR}/gyro_drift_frame.ui
	          COMMAND pyuic5 -o ${DIR}/payload_frame_ui.py ${UI_DIR}/payload_frame.ui
	          COMMAND pyuic5 -o ${DIR}/cliff_sensor_frame_ui.py ${UI_DIR}/cliff_sensor_frame.ui
	          COMMAND pyuic5 -o ${DIR}/life_frame_ui.py ${UI_DIR}/life_frame.ui
	          COMMAND pyuic5 -o ${DIR}/wandering_frame_ui.py ${UI_DIR}/wandering_frame.ui
	          COMMAND pyuic5 -o ${DIR}/climbing_frame_ui.py ${UI_DIR}/climbing_frame.ui
	          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

install(PROGRAMS scripts/kobuki_qtestsuite
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-kobuki-qtestsuite (0.5.7-0xenial) xenial; urgency=high

  * bugfix for pyqt4->pyqt5 pyrrc tools rosdep

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 14 May 2017 04:00:00 -0000

ros-kinetic-kobuki-qtestsuite (0.5.4-0xenial) xenial; urgency=high

  * refactoring for pyqt5 QtGui -> QWidget
  * workaround for the multi matplotlib crash bug

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 28 Mar 2017 04:00:00 -0000

ros-kinetic-kobuki-qtestsuite (0.4.0-0xenial) xenial; urgency=high

  * now it uses Rqt DataPlot instead our own version
  * uses dataplot
  * now it uses dataplot class instead of mat dataplot. It still shows weird scaling though..
  * removes email addresses from authors
  * add robot groups for rqt plugins
  * Contributors: Dirk Thomas, Jihoon Lee, Marcus Liebhardt

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-qtestsuite (0.3.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 14 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-qtestsuite (0.3.0-0xenial) xenial; urgency=high

  * adds bugtracker and repo info to package.xml
  * bugfix new matdataplot api with resizing the plot

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-qtestsuite (0.2.0-0xenial) xenial; urgency=high

  * ROS Hydro beta release.
  * Adds catkinized kobuki_qtestsuite

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 11 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-qtestsuite
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), pyqt5-dev-tools, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-testsuite, ros-kinetic-nav-msgs, ros-kinetic-qt-gui-py-common, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-rqt-plot, ros-kinetic-rqt-py-common
Homepage: http://ros.org/wiki/kobuki_qtestsuite
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-qtestsuite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pyqt5-dev-tools, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-testsuite, ros-kinetic-nav-msgs, ros-kinetic-qt-gui-py-common, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-rqt-plot, ros-kinetic-rqt-py-common
Description: An rqt plugin that provides a graphical, interactive testsuite for Kobuki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-qtestsuite//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
